TEMareels
==========

Collection of Python scripts for analysing momentum-resolved 
energy-loss spectra taken in a transmission electron microscope.


* [aperture](./aperture):
     angular correction for TEM and STEM-EELS. See [1][1].

* [ecal](./ecal):
     energy calibration using spectra shifted in energy

* [qcal](./qcal):
     momentum calibration using a shifted aperture

* [runscripts](./runscripts):
     scripts for performing energy- and momentum calibration and
     extracting spectra from a measured WQmap

* [gui](./gui):
     minimal GUI for viewing WQmaps

* [tools](./tools):
     set of useful functions (constants, image analysis,...)

* [tests](./tests):
     example data for running self-tests



**References**

1. [P. Wachsmuth, R. Hambach, U. Kaiser *et.al.*, Phys.Rev.B **(88)**, 075433 (2013).][1] 
[1]: http://link.aps.org/doi/10.1103/PhysRevB.88.075433
